Subject: Re: [bitcoin-dev] AT&T has effectively banned Bitcoin nodes via utilizing private subnets.

From: [email-masked]
Date: Wed, 2 Sep 2015 16:31:05 -0400

When you assume you make an ass out of you and me. That page doesn't even exist in my router, I don't have 2wire. The router I have is the one everyone is getting from uverse.

Literally everything you said is incorrect. It is completely on topic as it pertains to Bitcoin Core functionality, 42 connections is nothing, and that's not how you fix it. If you're gonna call me out for being wrong at least be correct! I spent a lot of time fixing this and the info is useful cause this problem happens to a lot of people, so why obfuscate it with this nonsense. 

AT&T u-verse as it is now is near impossible for bitcoin nodes, 42 in the world is absolutely pathetic considering they are among the top 2 ISPs in the USA. Thanks for proving my point.

-----Original Message-----
From: Matt Whitlock <[email-masked]>
To: hurricanewarn1 <[email-masked]>
Cc: bitcoin-dev <[email-masked]>
Sent: Wed, Sep 2, 2015 3:21 pm
Subject: Re: [bitcoin-dev] AT&T has effectively banned Bitcoin nodes via utilizing private subnets.

I've been trying to keep our discussion off-list because it is off-topic, but
you keep adding the list back on in your
replies.

http://steamforge.net/wiki/images/2/29/Settings-Firewall-Advanced.png

Settings
> Firewall > Advanced Configuration > Outbound Protocol Control > All Other
Protocols

That's all you had to do.

On Wednesday, 2 September 2015, at
9:44 am, Zach G via bitcoin-dev wrote:
> 42 in the whole world, and I'm one of
them. Clearly that is a problem, do you even know about AT&T or are you in
another country? Cause that statement is utterly ridiculous given the fact there
are hundreds of millions of people using AT&T. I was simply sharing my knowledge
on this issue since it poses a threat to the health of the bitcoin network, no
need for personal attacks. 
> 
> None of my accusations were false, there is a
firewall in the DVR that is uncontrolled and all ports are blocked via private
subnets and no fixed public IP allowed unless you pay. I confirmed every one of
these details with AT&T technicians or I wouldn't be saying them.

>  
> 
>  
> 
> -----Original Message-----
> From: Matt Whitlock
<[email-masked]>
> To: hurricanewarn1 <[email-masked]>
> Sent:
Wed, Sep 2, 2015 5:34 am
> Subject: Re: [bitcoin-dev] AT&T has effectively
banned Bitcoin nodes via utilizing private subnets.
> According to
BitNodes, 42 Bitcoin nodes are running on AT&T's
> network:
https://getaddr.bitnodes.io/nodes/?q=AT%26T
> So I'm thinking
> there's
nothing wrong with AT&T's default network configuration.
> Frankly, the
things you've been writing strongly suggest that you aren't very
knowledgeable
> about computer networking. Instead of jumping right into making
wild accusations
> about AT&T, you probably should find someone knowledgeable
to verify your
> claims.
> 
> 
> On Wednesday, 2 September 2015, at 5:20 am,
Zach G via bitcoin-dev
> wrote:
> > First off I couldn't synch the wallet, it
said no block source
> available and there was zero connections. Bitcoin was
literally getting thottled
> every second. It would not even allow the
connection to get block source. EVERY
> port was blocked, making exceptions in
the router firewall did nothing. I was
> forced to use Blockchain.info which is
a major security risk.
> > 
> > Secondly, I
> am developing a program using
Bitcoin Python modules, so I login to my computer
> like it's a server and it
was flat out rejecting the connection. I could not run
> any code until this
got fixed, and of course needed the block source to even do
> anything. 

> > If Bitcoin Core worked but 8333 was blocked I would not be
> emailing the
list. Bitcoin Core was crippled and unusable due to the AT&T
> settings, and
they tried hard to get me to buy monthly subscriptions to get the
> answer.
This makes it likely that Bitcoin Core is unusable for most AT&T
> customers
and other ISPs, hence the massive node decline. I'm sure this disrupts
> alot
of other people besides Bitcoiners too, hence the monthly subscriptions
geared towards people who can't figure out their connection situation.
> > 
>
>
> AT&T literally blocked access to static IP if you don't buy one, so it
wasn't a
> normal network setup. Unfortunately the same security used to stop
hackers and
> viruses stops Bitcoin too, so this is probably the settings for
almost every
> router in the country. Nodes are in fact declining worldwide,
down 15% in the
> past year alone. Community needs to speak up and also educate
before this gets
> completely out of control.
https://getaddr.bitnodes.io/dashboard/?days=365 6,000
> nodes is pathetic as it
is and it's constantly declining.